package com.jianshui.system.service.impl;

import java.util.List;

import com.jianshui.common.core.domain.entity.CompanyserviceDetail;
import com.jianshui.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jianshui.system.mapper.CompanyserviceDetailMapper;

import com.jianshui.system.service.ICompanyserviceDetailService;

/**
 * 销方详情Service业务层处理
 * 
 * @author Gong Quanlin 
 * @date 2022-03-08
 */
@Service
public class CompanyserviceDetailServiceImpl implements ICompanyserviceDetailService 
{
    @Autowired
    private CompanyserviceDetailMapper companyserviceDetailMapper;

    /**
     * 查询销方详情
     * 
     * @param id 销方详情主键
     * @return 销方详情
     */
    @Override
    public CompanyserviceDetail selectCompanyserviceDetailById(Long id)
    {
        return companyserviceDetailMapper.selectCompanyserviceDetailById(id);
    }

    /**
     * 查询销方详情列表
     * 
     * @param companyserviceDetail 销方详情
     * @return 销方详情
     */
    @Override
    public List<CompanyserviceDetail> selectCompanyserviceDetailList(CompanyserviceDetail companyserviceDetail)
    {
        return companyserviceDetailMapper.selectCompanyserviceDetailList(companyserviceDetail);
    }

    /**
     * 新增销方详情
     * 
     * @param companyserviceDetail 销方详情
     * @return 结果
     */
    @Override
    public int insertCompanyserviceDetail(CompanyserviceDetail companyserviceDetail)
    {
        companyserviceDetail.setCreateTime(DateUtils.getNowDate());
        return companyserviceDetailMapper.insertCompanyserviceDetail(companyserviceDetail);
    }

    /**
     * 修改销方详情
     * 
     * @param companyserviceDetail 销方详情
     * @return 结果
     */
    @Override
    public int updateCompanyserviceDetail(CompanyserviceDetail companyserviceDetail)
    {
        return companyserviceDetailMapper.updateCompanyserviceDetail(companyserviceDetail);
    }

    /**
     * 批量删除销方详情
     * 
     * @param ids 需要删除的销方详情主键
     * @return 结果
     */
    @Override
    public int deleteCompanyserviceDetailByIds(Long[] ids)
    {
        return companyserviceDetailMapper.deleteCompanyserviceDetailByIds(ids);
    }

    /**
     * 删除销方详情信息
     * 
     * @param id 销方详情主键
     * @return 结果
     */
    @Override
    public int deleteCompanyserviceDetailById(Long id)
    {
        return companyserviceDetailMapper.deleteCompanyserviceDetailById(id);
    }
}
